#include "main.h"
#include "i2c.h"
#include "i2clcd.h"
#include "string.h"
//------------------------------------------------
char str01[30]={'\0'};
//------------------------------------------------
void delay()
 {
   int i;
   for(i=0;i<19;i++);
 }
//------------------------------------------------
void main()
{
  int adc_data_raw = 0;
  float adc_data = .0f;
  unsigned char ch = 0;
  TRISA = 0x03;
  PORTA = 0x00;
  ADFM = 1; //right justified
  //AN7:AN1 digital, AN0 analog, Vref+ = Vdd, Vref- = Vss
  PCFG3 = 0;
  PCFG2 = 1;
  PCFG1 = 0;
  PCFG0 = 0;
  ADCS0 = 1;//Fosc/8
  ADON = 1;//ADC On
  InitI2C();// Initialize i2c
  LCD_Init();
  LCD_Clear();
  delay();
  while(1)
  {
    GO = 1;
    while(GO);
    __delay_us(10);
    adc_data_raw = (unsigned int)ADRESH << 8;
    adc_data_raw |= ADRESL;
    adc_data = (float)adc_data_raw * 5.12 / 1024;
    if(!ch)
    {
        LCD_SetPos(0,0);
        CHS0 = 1;
        ch = 1;
    }
    else
    {
        LCD_SetPos(0,1);
        CHS0 = 0;
        ch = 0;        
    }
    sprintf(str01,"%.2f V",adc_data);
    LCD_String(str01);
    __delay_ms(100);
  }
}